Set an asset's display name within a download
PATCH /api/downloads/{downloadId}/assets/{assetId}. Set an asset's display name within a download. Headless LMS Content API reference.
Path Parameters
downloadId*string
assetId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/downloads/string/assets/string" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string" }'[ { "orgId": "string", "id": "string", "downloadId": "string", "assetId": "string", "seq": -9007199254740991, "displayName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string", "message": "string", "requestId": "string"}Reorder a download's assets (send the complete set) PUT
PUT /api/downloads/{downloadId}/assets/order. Reorder a download's assets (send the complete set). Headless LMS Content API reference.
Unlink an asset from a download (the asset itself survives) DELETE
DELETE /api/downloads/{downloadId}/assets/{assetId}. Unlink an asset from a download (the asset itself survives). Headless LMS Content API reference.